CVE-2012-4455

NameCVE-2012-4455
DescriptionopenCryptoki 2.4.1 allows local users to create or set world-writable permissions on arbitrary files via a symlink attack on the (1) LCK..opencryptoki or (2) LCK..opencryptoki_stdll file in /var/lock/.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium (attack range: local)
Debian Bugs689417

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
opencryptoki (PTS)wheezy, jessie2.3.1+dfsg-3vulnerable
stretch3.6.1+dfsg-1fixed
buster, sid3.7.0+dfsg-4fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
opencryptokisource(unstable)3.4.1+dfsg-1low689417

Notes

[jessie] - opencryptoki <no-dsa> (Minor issue)
[squeeze] - opencryptoki <no-dsa> (Minor issue)
[wheezy] - opencryptoki <no-dsa> (Minor issue)

Search for package or bug name: Reporting problems